/*
 * params_alg.h
 *
 *  Created on: 26 . 2020 .
 *      Author: Yura
 */

#ifndef SRC_MAIN_PARAMS_ALG_H_
#define SRC_MAIN_PARAMS_ALG_H_


#define MZZ_ADD_1 0.5 // 0.25 //0.5     1 
#define MZZ_ADD_2 0.1 //0.05 //0.1     1 
#define FZAD_ADD_MAX 0.08 //0.005 //0.08    fzad  1 
#define FZAD_DEC 0.0004 //  fzad  1 

#define POWERZAD_ADD_MAX 0.08 //0.005 //0.08    fzad  1 
#define POWERZAD_DEC 0.0004 //  fzad  1 

#define POLUS           6 //6   //   
#define BPSI_NORMAL     0.2    //0.3 //  
#define PROVOROT_F_HZ      0.2 // 
#define PROVOROT_OBOROTS      3 // 


#define ADD_KP_DF  (1000.0/NORMA_MZZ)//(500.0/NORMA_MZZ)//(50.0/NORMA_MZZ)
#define ADD_KI_DF  (2000.0/NORMA_MZZ)//(1000.0/NORMA_MZZ)//(100.0/NORMA_MZZ)

#define ADD_KP_DPOWER  (1000.0/NORMA_MZZ)//(500.0/NORMA_MZZ)//(50.0/NORMA_MZZ)
#define ADD_KI_DPOWER  (2000.0/NORMA_MZZ)//(1000.0/NORMA_MZZ)//(100.0/NORMA_MZZ)

#define MIN_MZZ_FOR_DF          210
#define MIN_MZZ_FOR_DPOWER      210


////////////////////


#define PID_KP_IM 0.018 //0.0013//   0.018 //0.036 //0.018 //0.18 //0.095   // PID Kp
#define PID_KI_IM 0.08//0.8//0.025 //0.08   // PID Ki
#define PID_KD_IM 0.0000  //*100  // PID Kd
#define PID_KC_IM 0.09    // PID Kc


#define PID_KP_F 18  //12//6//26//12 //40 //20 //12 //20 //60.0 //20.0 //0.095   // PID Kp
#define PID_KI_F 0.00020 //0.00010 // 0.008   // PID Ki
//#define PID_KI_F 0.00030 //0.00010 // 0.008   // PID Ki
#define PID_KD_F 0.000    //*100 PID Kd
#define PID_KC_F 0.005    // PID Kc
//#define PID_KC_F 0.000    // PID Kc

#define PID_KP_POWER 9//3//26//12 //40 //20 //12 //20 //60.0 //20.0 //0.095   // PID Kp
//#define PID_KI_F 0.00020 //0.00010 // 0.008   // PID Ki
#define PID_KI_POWER 0.00030 //0.00010 // 0.008   // PID Ki
#define PID_KD_POWER 0.000    //*100 PID Kd
#define PID_KC_POWER 0.005    // PID Kc



///////////////////
// . k  

#define K_STATOR_MAX 0.85 // 0.91 //  DEF_PERIOD_MIN_MKS = 60 
//#define K_STATOR_MAX 0.89 // DEF_PERIOD_MIN_MKS  = 80 




#define MAX_ZADANIE_I_VOZBUD        200.0 // A

#define MAX_ZADANIE_U_CHARGE        2800.0//1500.0 //V
//#define MAX_ZADANIE_F_ROTOR     70
#define MAX_ZADANIE_OBOROTS_ROTOR   230 //340 //240  1000 //260.0 // +/- ob/min
#define MIN_ZADANIE_OBOROTS_ROTOR   0 //  1000 //260.0 // +/- ob/min


#define MAX_ZADANIE_I_M         1000.0// 1000.0  //750.0 // A

#define MAX_ZADANIE_POWER       1000.0 // kWt
#define MIN_ZADANIE_POWER       0 // kWt

#define MAX_ZADANIE_K_M         0.92 // A
#define MAX_ZADANIE_F           60.0 // Hz
#define MIN_ZADANIE_F           0.0 //60.0 // Hz


#define MAX_ZADANIE_K_U_DISBALANCE           2.0    //1.0 // k
#define MAX_ZADANIE_KPLUS_U_DISBALANCE       1.0 // k



#define T_NARAST_ZADANIE_F                  15.0  // sec
#define T_NARAST_ZADANIE_OBOROTS_ROTOR      30.0  // sec
#define T_NARAST_ZADANIE_K_M                15.0  // sec
#define T_NARAST_ZADANIE_I_M                15.0  // sec
#define T_NARAST_ZADANIE_POWER              100.0 //30.0  // sec
#define T_NARAST_ZADANIE_U_CHARGE           30.0  // sec
#define T_NARAST_ZADANIE_K_U_DISBALANCE           15.0  // sec
#define T_NARAST_ZADANIE_KPLUS_U_DISBALANCE           15.0  // sec












#endif /* SRC_MAIN_PARAMS_ALG_H_ */
