/**
**************************************************************************
* @file app_includes.h
* @brief Заголовочный файл для подключаения заголовочных файлов программы МК.
**************************************************************************/
#ifndef _APP_INCLUDES_H_
#define _APP_INCLUDES_H_

#include "app_configs.h"
// Includes
#include "DSP281x_Device.h"
#include "math.h"
#include "C28x_FPU_FastRTS.h"


#include "edrk_main.h"
#include "vector.h"
#include "vector_control.h"
#include "adc_tools.h"
#include "uf_alg_ing.h"
#include "v_rotor.h"
#include "v_pwm24_v2.h"
#include "control_station.h"
#include "control_station_project.h"
#include "CAN_Setup.h"
#include "RS_Functions.h"
#include "master_slave.h"
#include "xp_write_xpwm_time.h"
#include "global_time.h"
#include "PWMTools.h"
#include "alg_simple_scalar.h"

#include <params.h>
#include <params_alg.h>
#include <params_norma.h>
#include <params_pwm24.h>
#include <params_temper_p.h>
#include <project.h>

#endif //_APP_INCLUDES_H_